
%define		xfce_version	4.4.0
Summary:	Xarchiver - a GTK+2 frontend to popular compression formats
Summary(pl.UTF-8):	Xarchiver - nakładka GTK+2 na popularne formaty kompresji
Name:		Xarchiver
Version:	0.5.3
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/xarchiver/xarchiver-%{version}.tar.bz2
# Source0-md5:	fd390bbd2df76a5f8a007bdeae82d4aa
Patch0:		%{name}-desktop.patch
Patch1:		format-security.patch
URL:		https://github.com/ib/xarchiver/wiki
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.8.20
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xarchiver is a GTK+2 frontend to 7z, zip, rar, tar, bzip2, gzip, arj
and rpm (open and extract only). Xarchiver allows to create, add,
extract and delete files in the above formats. 7z, zip, rar and arj
password protected archives are supported.

%description -l pl.UTF-8
Xarchiver to nakładka GTK+2 na 7z, zip, rar, tar, bzip2, gzip, arj i
rpm (tylko otwieranie i rozpakowywanie). Xarchiver umożliwia
tworzenie, dodawanie, rozpakowywanie oraz usuwanie plików w powyższych
formatach. Obsługuje również archiwa 7z, zip, rar i arj zabezpieczone
hasłem.

%prep
%setup -q -n xarchiver-%{version}
%patch0 -p1
%patch1 -p1
mv -f po/nb{_NO,}.po
mv -f po/pt{_PT,}.po
sed -e 's/nb_NO/nb/;s/pt_PT/pt/' -i po/LINGUAS

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_docdir}/xarchiver/{AUTHORS,ChangeLog,COPYING,NEWS,README,TODO}

%find_lang xarchiver

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f xarchiver.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/xarchiver
%attr(755,root,root) %{_libdir}/thunar-archive-plugin/*.tap
%dir %{_docdir}/xarchiver
%docdir %{_docdir}/xarchiver
%{_docdir}/xarchiver/html
%{_iconsdir}/hicolor/*/apps/xarchiver.png
%{_iconsdir}/hicolor/scalable/apps/xarchiver.svg
%{_pixmapsdir}/xarchiver
%{_desktopdir}/*.desktop
%changelog
* Fri Aug 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Xarchiver.git;a=log;h=master

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> 4514fbe
- up to 0.5.3
- fixed format string errors

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> b29cabf
- release 6

* Sat Jul 09 2011 Elan Ruusamäe <glen@pld-linux.org> 4def0de
- current working url

* Sat Jul 09 2011 Elan Ruusamäe <glen@pld-linux.org> 4c6a0de
- desktop-file-validate: remove deprecated Encoding key

* Sat Jul 09 2011 Elan Ruusamäe <glen@pld-linux.org> 8074d42
- remove multipart/x-zip from .desktop file (makes no sense according to update-desktop-database)

* Sat Jul 09 2011 Elan Ruusamäe <glen@pld-linux.org> 3046b56
- desktop fix:
  # update-desktop-database
  Warning in file "/usr/share/applications/xarchiver.desktop": usage of MIME type "multipart/x-zip" is discouraged ("multipart" is a media type that probably does not make sense in this context)

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 793f052
- Requires(post,postun): gtk-update-icon-cache

* Fri May 14 2010 sparky <sparky@pld-linux.org> e0ce55c
- BR: gettext-devel

* Tue May 11 2010 Jan Rękorajski <baggins@pld-linux.org> 56b8cb9
- rel 3
- desktop file cleanup

* Sat Nov 29 2008 Adam Gołębiowski <adamg@pld-linux.org> 9ce8db2
- locale fix; release 2

* Sat Nov 29 2008 Adam Gołębiowski <adamg@pld-linux.org> 63234e2
- updated to 0.5.2

* Sat Feb 02 2008 darekr <darekr@pld-linux.org> 459fc07
- BR: intltool

* Sat Feb 02 2008 hawk <hawk@pld-linux.org> 03c9f12
- fixed build by adding %{__intltoolize}
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 15484da
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a4cbac6
- converted to UTF-8

* Mon Jan 29 2007 Marcin Banasiak <marcin.banasiak@gmail.com> a0d39d4
- fixed rcs tag

* Tue Jan 23 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 2561653
- up to 0.4.6

* Mon Nov 06 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 883be17
- missing dir

* Mon Nov 06 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 64b6cdc
- up to 0.4.2rc2 (Xfce 4.4RC2)
- updated deps

* Wed Oct 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 9593b4f
- updated BRs

